Subject: bug#62751: 29.0.90; New libraries that still need to be assigned to packages

From: Stefan Kangas <[email-masked]>
Date: Sat, 23 Sep 2023 07:42:46 -0700

Eli Zaretskii <[email-masked]> writes:

>> From: Stefan Kangas <[email-masked]>
>> Date: Wed, 20 Sep 2023 17:15:04 -0700
>> Cc: [email-masked], [email-masked], [email-masked]
>>
>> Eli Zaretskii <[email-masked]> writes:
>>
>> >> > You mean, move bind-key.el out of lisp/use-package, right?
>> >>
>> >> Yes.
>> >
>> > Fine by me, and I think this is preferable, and even clearly TRT for a
>> > package that is not limited to its parent package.
>>
>> Do you see any reason why that change would be dangerous, or could we do
>> it on the release branch?
>
> I honestly don't know.  Maybe we should ask the users of use-package?
>
> John, do you see any potential problems with that?

We can probably get away with the more minimal change I installed on
emacs-29 yesterday.  The only downside of not moving the file there, as
far as I can tell, is that it will be a hassle if we need to merge any
changes in bind-key.el to master.  It's a very slow moving target
though, so those instances should hopefully be rare.

Should bind-key.el be in lisp/?  lisp/emacs-lisp/?